#ifndef DISPOBJH
#define DISPOBJH

#include <D3DX9.h>

class CPolyMesh3;

class CDispObj
{
public:
	CDispObj();
	~CDispObj();

	int CreateDispObj( LPDIRECT3DDEVICE9 pdev, CPolyMesh3* pm3 );
	int RenderNormal();

private:
	int InitParams();
	int DestroyObjs();

	int CreateDecl();
	int CreateVBandIB();

public:
	LPDIRECT3DDEVICE9 m_pdev;
	CPolyMesh3* m_pm3;//O
	
	IDirect3DVertexDeclaration9* m_dispvdecl;

    LPDIRECT3DVERTEXBUFFER9 m_VB;
	LPDIRECT3DINDEXBUFFER9 m_IB;
	

};



#endif